<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition
        xmlns:ui="jakarta.faces.facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:f="jakarta.faces.core"
        template="/main-template.xhtml">
    <ui:define name="content">
        <p:card style="width: 25rem; margin-bottom: 2em">
            <f:facet name="title">
                Welcome #{user.current.firstname} #{user.current.lastname}!
            </f:facet>

            <p>#{msg.get('card.test.text')}</p>
        </p:card>
        <div class="buttons-h">
            <p:commandButton action="#{theme.setMode('light')}" update="theme" value="Light"/>
            <p:commandButton action="#{theme.setMode('dim')}" update="theme" value="Dim"/>
            <p:commandButton action="#{theme.setMode('dark')}" update="theme" value="Dark"/>
        </div>
    </ui:define>
</ui:composition>